Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class RenderAsHTMLWithEmbedded

    java.lang.Object
      org.apache.jmeter.visualizers.SamplerResultTab
          org.apache.jmeter.visualizers.RenderAsHTML
              org.apache.jmeter.visualizers.RenderAsHTMLWithEmbedded

All Implemented Interfaces:
  ResultRenderer

    public class RenderAsHTMLWithEmbedded

extends RenderAsHTML
implements ResultRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.jmeter.visualizers.SamplerResultTab
`SamplerResultTab.RowResult`

Field Summary

Fields inherited from class org.apache.jmeter.visualizers.SamplerResultTab
`activateSearchExtension, CLIENT_ERROR_COLOR, REDIRECT_COLOR, REQUEST_VIEW_COMMAND, results, resultsScrollPane, rightSide, searchTextExtension, SERVER_ERROR_COLOR, TEXT_COMMAND`

Constructor Summary
`RenderAsHTMLWithEmbedded()`

Method Summary
`protected void` | `showRenderedResponse(String response, SampleResult res)`
`String` | `toString()`

Methods inherited from class org.apache.jmeter.visualizers.RenderAsHTML
`renderResult, showRenderedResponse`

Methods inherited from class org.apache.jmeter.visualizers.SamplerResultTab
`clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.visualizers.ResultRenderer
`clearData, init, renderImage, renderResult, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

Constructor Detail

### RenderAsHTMLWithEmbedded

    public RenderAsHTMLWithEmbedded()

Method Detail

### showRenderedResponse

    protected void showRenderedResponse(String response,
                                        SampleResult res)

  Overrides:
    `showRenderedResponse` in class `RenderAsHTML`

### toString

    public String toString()

  Specified by:
    `toString` in interface `ResultRenderer`
  Overrides:
    `toString` in class `RenderAsHTML`
  Returns:
    the string to be displayed by the ComboBox

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.